@import url('https://fonts.googleapis.com/css2?family=Dosis:wght@300&display=swap');

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Dosis', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}



.app-background {
  background-color: rgb(187, 198, 209);
  height: 100%;
  padding: 0 !important;
  
}

/* navigation styles start */
  .nav-wrapper {
    padding: .25rem;
    width: 100%;
    background-color: rgba(0, 0, 0, .8);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 100;
    color: white;
    backdrop-filter: blur(5px);
  }

  .nav-wrapper > .brand-name {
    display: flex;
    flex-direction: row;
    margin: 0;
    padding: 0;
    padding-left: 1rem;  
  }

  .nav-wrapper > .brand-name > h4 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0;
    font-weight: bold;
  }

  .nav-wrapper > .brand-name > img {
    filter: invert(100%);
    -webkit-filter: invert(100%);
  }

  .nav-wrapper > .navigation-menu {
    display: flex;
    flex-direction: row;
    margin: 0;
    padding-right: 1rem;
  }

  .nav-wrapper > .navigation-menu > .span-link {
    margin-left: 10px;
    text-decoration: none;
    text-transform: uppercase;
    color: white;
    font-size: 1rem; 
    font-weight: bold;
  }

  .nav-wrapper > .navigation-menu >.span-link:hover {
    text-decoration: underline;
    text-decoration-thickness: 5px;
    transition: ease-out;
    transition-duration: .5ms;
  }

/* navigation styles end */

.landing-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
}


/* banner styles start */

.banner-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: space-between;  
}

.banner-wrapper > .banner-text {
  width: 35%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.banner-wrapper > .banner-text > h1 {
  text-transform: uppercase;
  font-weight: bolder;
}

.banner-wrapper > .rounded-box {
  height: 600px;
  width: 600px;
  overflow: hidden;
  border-radius: 2rem;
  box-shadow: rgb(49, 48, 48) 10px 10px 20px 10px;
}

.banner-wrapper > .rounded-box > .image-wrapper {
  --column-count: 2;
  display: grid;
  grid-template-columns: repeat(var(--column-count), 1fr);

}

.banner-wrapper > .rounded-box > .image-wrapper > img {
  height: 300px;
  width: 300px;  
}

/* banner styles end */

/* Services Styles Start */

.services-wrapper {
  height: 50vh;
  border-radius: 2rem;
  background-color: aliceblue;
  padding: 2rem;
  margin: 0;
  margin-top: 3rem !important;
  display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.services-wrapper > h1 {
  text-align: center;
  text-transform: uppercase;
  font-weight: bold;
}

.services-wrapper > .card-list {
  list-style-type: none;
  display: grid;
  --column-count: 3;
  grid-template-columns: repeat(var(--column-count), 1fr);
}

.services-wrapper > .card-list > .card {
  margin: .5rem;
  padding: .5rem;
  font-size: large;
  font-weight: bold;
}

.services-wrapper > .card-list > .card >h2, .learn-link {
  text-align: center;
  text-decoration: none;
}


/* Services Styles End */

/* BotNav Styles Start */

.bot-nav-wrapper {
  background-color: rgba(0, 0, 0, .8);
  text-transform: uppercase;
  color: white;
  padding-top: 2rem;
}

.bot-nav-social-buttons , .bot-nav-link-group {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}

.bot-nav-site-link > ul {
  display: flex;
  flex-direction:column;
  justify-content: start;
  list-style-type: none;

}

/* BotNav Styles End */